Bug 154716 - tapping no longer possible on Alps touchpad, hardware tapping incorrectly disabled?
tapping no longer possible on Alps touchpad, hardware tapping incorrectly dis...
Status: CLOSED DUPLICATE of bug 153201
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-13 14:02 EDT by Peter K
Modified: 2015-01-04 17:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-14 05:26:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter K 2005-04-13 14:02:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Since upgrading form kernel-2.6.10-770 my alps touchpad (Sony Vaio R505TSK) stopped doing tapping (left mouse button event with short touch). It is equally dead no matter if I use synaptics driver or "normal" legacy mode.

It seems to me that the kernel tells the hardware to disable tapping and then no event at all is generated by tapping the touchpad (that is, no amount of software tweaking can get any kind of tapping working sice it doesn't see an event. tested with synclient -m 10 from the synaptics package)

For me tapping is essential (I have been doing it so long that my brain can no longer use the actual mechanical button) so I marked it Normal since no being able to update to newer kernels will be a security problem for me.


Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3

How reproducible:
Always

Steps to Reproduce:
1. boot up the machine
2. start X
3. try tapping
  

Actual Results:  no event was generated

Additional info:
Comment 1 Peter K 2005-04-13 14:06:03 EDT
I forgot som info from dmesg (the serio related stuff):
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
...
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard on isa0060/serio0
ALPS Touchpad (Glidepoint) detected
  Disabling hardware tapping
input: AlpsPS/2 ALPS TouchPad on isa0060/serio1

and from /proc/bus/input/devices:
I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
H: Handlers=kbd event0
B: EV=120013
B: KEY=4 2000000 3802078 f840d001 f2ffffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=0008 Version=0000
N: Name="AlpsPS/2 ALPS TouchPad"
P: Phys=isa0060/serio1/input0
H: Handlers=mouse0 event1
B: EV=f
B: KEY=420 30000 670000 0 0 0 0 0 0 0 0
B: REL=3
B: ABS=1000003

Comment 2 Adam Bowns 2005-04-13 18:05:32 EDT
No offence intended to anyone, but this bug seems to be a duplicate of bug
153201. Just thought I'd let you know so you can follow any activity from the
same place.
Comment 3 Peter K 2005-04-14 05:26:30 EDT
ok, I'll move my report over to the first bug and close this up.

*** This bug has been marked as a duplicate of 153201 ***

Note You need to log in before you can comment on or make changes to this bug.